PHP 7 via browser geeft 503 error

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

Pagina: 1 2 volgende »

Daniel van Seggelen

Daniel van Seggelen

02/04/2020 15:24:39
Quote Anchor link
Ik heb een SSL certificaat geinstalleerd en het certificaat is goed. Hij is verlengt van de eerste versie:
Maar als ik nu naar de site ga krijg ik:

Service Unavailable
The server is temporarily unable to service your request due to maintenance downtime or capacity problems. Please try again later.

Ik werk op centos 7. Als in in CLI php -v intik krijg ik netjes php 7.0.33 etc.
PHP via cli werkt ook en laad php bestanden goed.

De database is ook toegankelijk via phpmyadmin bijv.
Op de server www.domein.nl/test.html ZIjn de html bestanden etc gewoon el beschikbaar maar www.domein.nl/index.php of alle andere php bestanden zelf met alleen phpinfo() erin geeft deze melding.

Hoe kan ik dit debuggen?

Bedankt

Daniel.
 
PHP hulp

PHP hulp

02/12/2020 23:11:12
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 15:30:26
Quote Anchor link
Op welke manier is PHP geinstalleerd? mod_php, fastcgi, php-fpm?
Wel apart dat phpMyAdmin wel werkt. Blijkbaar draai je meerdere PHP's?
En is het een eigen geinstalleerde LAMP-stack? Of gebruik je iets van een webhostingpaneel?
Gewijzigd op 02/04/2020 15:36:23 door - Ariën -
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 16:25:04
Quote Anchor link
Beste Ariën,

Bedankt voor je reactie.
Het is php-fpm. Ik heb 1 actieve php. Ik heb directadmin.Ik zie ik daar bij service monitor idd 2 php draaien. Als ik degene uitdoe die niet actief is krijg ik nog steeds dezelfde error. Maar ook als ik ze alle2 start of stop.

da-popb4smtp da-popb4smtp (pid 31643 ) 0.551 MB
directadmin directadmin (pid 662 3829 3836 3840 3845 3855 ) 9.33 MB
dovecot dovecot (pid 3375 ) 1.55 MB
exim exim (pid 3379 ) 328 KB
httpd httpd (pid 15853 16978 17351 ) 16.6 MB
lfd lfd (pid 11264 ) 0 B
mysqld mysqld (pid 6743 ) 1.11 GB
named named (pid 5278 ) 88.8 MB
php-fpm70 php-fpm70 (pid 3828 ) 9.92 MB
php-fpm71 php-fpm71 (pid 3839 ) 10.0 MB
pure-ftpd pure-ftpd (pid 3380 ) 240 KB
spamd spamd (pid 23956 24016 24018 ) 45.5 MB
sshd sshd (pid 3374 ) 360 KB
Gewijzigd op 02/04/2020 16:28:36 door Daniel van Seggelen
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 16:31:22
Quote Anchor link
Wel apart?
Heb je wel voldoende geheugen beschikbaar?
En als je PHP anders eens opnieuw built met de Custombuild?
Gewijzigd op 02/04/2020 16:32:01 door - Ariën -
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 16:36:10
Quote Anchor link
HEt is inderdaad vreemd, want dit:

https://www.domein.nl/phpmyadmin/sql.php?........ ewrkt prima, met alles erop en eraan.
https://www.domein.nl/test.php werktniet

in test.php hb ik

Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
2
3
<?php
phpinfo();
?>


Maar geen php bestanden werken hier en krijg ik de foutmeldig.
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 16:38:09
Quote Anchor link
Gaat het echt om hetzelfde domein? En dus dezelfde PHP-versie. Want per domein kan je een andere versie kiezen.

Dus hoe zit het met geheugen?
En heb je al opnieuw gebuild?
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 16:39:16
Quote Anchor link
Voldoende geheugen voor een php bestand met phpinfo erin toch?
ogmaals www.domein.nl/test.html met meer info erin opend wel.
Hij maakt geen connectie met PHP, terwijl hij een versie moet pakken, hij geeft geen foutmeldingen weer dat PHP niet geladen word bijv.
KAn het aan de server liggen? Ik heb een VPS centos 7 server.
 
Rob Doemaarwat

Rob Doemaarwat

02/04/2020 16:40:57
Quote Anchor link
Wat staat er in je Apache log? Is het niet iets van mod_md, waarbij je Apache eerst een keer moet herstarten om het certificaat actief te krijgen?
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 16:41:23
Quote Anchor link
Bekijk daarom eens je beschikbare geheugen. Vaak is dit de oorzaak van vreemde dingen (OOM; Out Of Memory) die opeens niet werken.
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 16:45:54
Quote Anchor link
Deze komen steeds terug in de error logs voor dit domein:

/usr/local/php56/sockets/admin.sock (*) failed
[Thu Apr 02 16:43:25.224902 2020] [proxy_fcgi:error] [pid 17351:tid 140553978951424] [client 46.229.168.133:2420] AH01079: failed to make connection to backend: httpd-UDS
[Thu Apr 02 16:43:29.555868 2020] [proxy:error] [pid 17351:tid 140553962166016] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /usr/local/php56/sockets/admin.sock (*) failed
[Thu Apr 02 16:43:29.555952 2020] [proxy_fcgi:error] [pid 17351:tid 140553962166016] [client 46.229.168.134:63942] AH01079: failed to make connection to backend: httpd-UDS
[Thu Apr 02 16:44:05.756822 2020] [proxy:error] [pid 17351:tid 140553928595200] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /usr/local/php56/sockets/admin.sock (*) failed
[Thu Apr 02 16:44:05.756881 2020] [proxy_fcgi:error] [pid 17351:tid 140553928595200] [client 46.229.168.162:41940] AH01079: failed to make connection to backend: httpd-UDS
[Thu Apr 02 16:44:09.868228 2020] [proxy:error] [pid 17351:tid 140553936987904] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /usr/local/php56/sockets/admin.sock (*) failed
[Thu Apr 02 16:44:09.868279 2020] [proxy_fcgi:error] [pid 17351:tid 140553936987904] [client 46.229.168.131:34220] AH01079: failed to make connection to backend: httpd-UDS
[Thu Apr 02 16:44:13.112749 2020] [proxy:error] [pid 16978:tid 140554322659072] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /usr/local/php56/sockets/admin.sock (*) failed
[Thu Apr 02 16:44:13.112805 2020] [proxy_fcgi:error] [pid 16978:tid 140554322659072] [client 81.206.51.234:40582] AH01079: failed to make connection to backend: httpd-UDS
[Thu Apr 02 16:44:15.938214 2020] [proxy:error] [pid 17351:tid 140554955822848] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /usr/local/php56/sockets/admin.sock (*) failed
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 16:50:33
Quote Anchor link
Hm... PHP 5.6?

Kan je in DirectAdmin in de Custombuild plugin niet die PHP-versie even wissen? Die wordt zo te zien toch niet gebruikt:

http://www.domein.nl:2222/CMD_PLUGINS_ADMIN/custombuild/remove_software.html
Daarna raad ik aan om je PHP-versies even te re-builden: http://www.domein.nl:2222/CMD_PLUGINS_ADMIN/custombuild/build_software.html
 
Ivo P

Ivo P

02/04/2020 16:51:05
Quote Anchor link
Error 503 is "service unavailable"
PHP fouten leiden tot een 501 error.

Waarom Phpmyadmin werkt: niet ongebruikelijk bij hosters om PHPMyadmin centraal te hosten en een url naar mijnsite.nl/phpmyadmin wordt omgeleid naar sitevandehoster.com/phpmyadmin

zo garandeert hij dat er een actuele versie op staat.

Dat gezegd hebbend: iets maakt dat Apache niet door kan met jouw requests: en zo te zien, wordt via een proxy de site in werkelijkheid niet door Apache geserveerd maar iets achterliggends.

Heb je na installatie van het nieuwe SSL ook iets moeten herstarten?
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 16:54:34
Quote Anchor link
Ivo P op 02/04/2020 16:51:05:
Error 503 is "service unavailable"
PHP fouten leiden tot een 501 error.

Waarom Phpmyadmin werkt: niet ongebruikelijk bij hosters om PHPMyadmin centraal te hosten en een url naar mijnsite.nl/phpmyadmin wordt omgeleid naar sitevandehoster.com/phpmyadmin

Lijkt me niet op een VPS ;-)
Quote:
Dat gezegd hebbend: iets maakt dat Apache niet door kan met jouw requests: en zo te zien, wordt via een proxy de site in werkelijkheid niet door Apache geserveerd maar iets achterliggends.

In DirectAdmin is er een mogelijkheid voor een proxy, maar dan om PHP en statische bestanden te scheiden. Het is wel zo dat phpMyAdmin altijd gebruik maakt van de eerste PHP-installatie, ongeacht wat er op die domein draait. Dan is de tweede PHP-installatie (DirectAdmin kan meerdere installaties van PHP aan; max. 4) ergens stuk. Dat verklaart waarom een phpinfo() niet werkt, maar phpMyAdmin wel (webapp).
Quote:
Heb je na installatie van het nieuwe SSL ook iets moeten herstarten?

Ik ben benieuwd hoe Daniël die SSL certificaten hebt vernieuwd.
Gewijzigd op 02/04/2020 16:58:18 door - Ariën -
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 16:58:01
Quote Anchor link
Over memoty:
- met top zie ik 19% in gebruik voor mysqld en 12 % voor php
- ./build update met custombuild heb ik gedaan, maar wanneer ik ./buil versions doe krijg ik:
Cannot install the same version of PHP for both releases.

Maar met php -v zie ik 1 versie, moet ik de andere php-fpm71 dan verwijderen?
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 16:59:15
Quote Anchor link
Wat zegt dit?
Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
./build options
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 17:03:05
Quote Anchor link
Hetzelfde zegt dit, namelijk:
Cannot install the same version of PHP for both releases.

Als ik dit invoer: "rpm -qa | grep php"
Dan krijg ik niks terug. ook geen foutmelding: ????
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 17:06:58
Quote Anchor link
Ga a.u.b. niet buiten DirectAdmin aan je PHP-installatie zitten. Dan ben je nog verder van huis, omdat PHP via DirectAdmin Custombuild geleverd wordt.

Maar krijg je die melding ook via ./build options? Je zou dan minimaal ene lijst moeten zien van je Custombuild instellingen. Maar wat als je zelf kijkt naar options.conf? Wat staat daar in vermeld?
Gewijzigd op 02/04/2020 17:07:43 door - Ariën -
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 17:14:27
Quote Anchor link
Ja, ik gaf idd aan dat ik dezelfde elding krijg met ./build options.

options.conf zegt dit:

#PHP Settings
php1_release=7.0
php1_mode=php-fpm
php2_release=5.6
php2_mode=php-fpm
php_ini=no
php_timezone=Europe/Amsterdam
php_ini_type=production
x_mail_header=yes

#MySQL Settings
mysql=5.6
mysql_inst=mariadb
mysql_backup=yes
mysql_backup_dir=/usr/local/directadmin/custombuild/mysql_backups
mysql_force_compile=no

#WEB Server Settings
webserver=apache
modsecurity=no
modsecurity_ruleset=comodo
apache_ver=2.4
apache_mpm=auto
mod_ruid2=no
harden_symlinks_patch=yes
use_hostname_for_alias=no
redirect_host=servername.nl
redirect_host_https=no

#WEB Applications Settings
phpmyadmin=yes
phpmyadmin_ver=4
squirrelmail=no
roundcube=yes


cron_frequency=weekly
email=email@domain.com
notifications=yes
da_autoupdate=no
updates=no
webapps_updates=yes

#CloudLinux Settings
cloudlinux=no
cagefs=no

#Advanced Settings
autoconf=yes
automake=yes
libtool=yes
curl=no
new_pcre=no

cloudlinux_beta=no
sa_update=daily
modsecurity_uploadscan=no
http_methods=GET:HEAD:POST:PUT:DELETE:PATCH
litespeed_serialno=trial
mariadb=10.1
mysql_backup_gzip=no
userdir_access=yes
secure_php=no
php3_release=5.6
php4_release=5.6
php3_mode=php-fpm
php4_mode=php-fpm
mail_compress=no
unit=no
phpmyadmin_public=yes


Ik heb dus 2 releases, zal ik er 1 verwjderen?


Toevoeging op 02/04/2020 17:18:07:

Ook al verwijder ik de 5.6 php release in het config bestand, herstart directadmin en run dit:

./build rewrite_confs & ./build options

Dan krijg ik hetzelfde, namelijk: Cannot install the same version of PHP for both releases.
Gewijzigd op 02/04/2020 17:21:45 door Daniel van Seggelen
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 17:19:14
Quote Anchor link
Zet
Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
php2_release=5.6


maar op:

Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
php2_release=no


Wel erg raar, want volgens je processen is er ook een PHP-fpm 7.1 en 7.2, maar ik zie daar geen 5.6 staan?


Even wel een heads-up, PHP 7.1 wordt niet meer ondersteund.
Upgrade uiteindelijk als alles goed werkt dan naar PHP 7.3 of liever 7.4

Vergeet geen ./build update ;-)
Gewijzigd op 02/04/2020 17:20:04 door - Ariën -
 
Daniel van Seggelen

Daniel van Seggelen

02/04/2020 17:32:13
Quote Anchor link
Opgelost.

Ik zag idd meerdere php releases, ik dacht dat hij er altijd maar 1 gebruikte, toen ik 1 release in de options.conf.

php1_release=7.0
php1_mode=php-fpm

heb ik erin gehouden en de rest verwijderd. die 5.6 had ik later toegevoegd, die was onderaan.

TOen ik ditweg ging halen, rewrite_confd deed, toen werkte alles weer naar behoren. Weer iets geleerd.
HEEL ERG BEDANKT VOOR DE MOEITE OM HIERNAAR TE KIJKEN.

IEdereen blijf veilig thuis. werk ze!
 
- Ariën -
Beheerder

- Ariën -

02/04/2020 17:40:36
Quote Anchor link
Nice!
Waarom draai je nog PHP 7.0? ;-)
Gewijzigd op 02/04/2020 17:40:51 door - Ariën -
 

Pagina: 1 2 volgende »



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.